%define	xfontdir_	%{_datadir}/fonts/ja
%define	xfontdir	%{xfontdir_}/TrueType

%define xttfontsver	0.19990222
%define	xttfonts	xtt-fonts_%{xttfontsver}-5
%define	kochimin	kochi-mincho-0.2.20020124
%define	kochigoth	kochi-gothic-0.2.20020124

Name:		ttfonts-ja
Version:	1.2
Release:	8
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root

Source0:	http://www.debian.or.jp/debian-jp/dists/potato-jp/main/source/x11/%{xttfonts}.tar.bz2
Source1:	fonts.scale.xtt
## Original fonts is here
## Source10:	http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/%{kochimin}.tar.bz2
Source10:	%{kochimin}.tar.bz2
## Original fonts is here
## Source11:	http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/%{kochigoth}.tar.bz2
Source11:	%{kochigoth}.tar.bz2
Source12:	fonts.alias.kk
Source13:	fonts.scale.kk

BuildPreReq:	XFree86-xfs
BuildPreReq:	VFlib2
PreReq:		chkfontpath

Obsoletes:	xtt-fonts
Provides:	xtt-fonts

Summary: Free Japanese TrueType fonts
%description
This package provides free Japanese TrueType fonts, and includes
ttindex files for VFlib. Kochi TTF which includes in this package
have removed 10pt and 11pt which provides by naga10 font because
there is the license problem.

%prep
%setup -q -c -a 10 -a 11

%build
pushd xtt-fonts-%{xttfontsver}
ttindex watanabe-mincho
ttindex wadalab-gothic
popd
pushd kochi-mincho/fonts
ttindex kochi-mincho
popd
pushd kochi-gothic/fonts
ttindex kochi-gothic
popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{xfontdir}
pushd xtt-fonts-%{xttfontsver}
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{xfontdir}/
install -m 0644 *.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
popd
pushd kochi-mincho
install -m 0644 fonts/*.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
popd
pushd kochi-gothic
install -m 0644 fonts/*.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
popd
cp %{SOURCE12} $RPM_BUILD_ROOT%{xfontdir}/fonts.alias.kk
install -m 0644 %{SOURCE12} $RPM_BUILD_ROOT%{xfontdir}/
install -m 0644 %{SOURCE13} $RPM_BUILD_ROOT%{xfontdir}/xtt-fonts.scale

# create temp file
TMPFILE=`mktemp /tmp/fonts.scale.XXXXXXXX` || exit 1

# create scale files

pushd $RPM_BUILD_ROOT%{xfontdir}
scalefiles=`ls fonts.scale* xtt-fonts.scale* 2> /dev/null | grep -v rpm`
if [ "x$scalefiles" != "x" ]; then
	for i in $scalefiles; do
		tail +2 $i >> $TMPFILE
	done
	echo `cat $TMPFILE | wc -l | awk '{print $1}'` > fonts.scale
	cat $TMPFILE >> fonts.scale
	rm $TMPFILE
fi

mv fonts.scale{,.xttbak}

# create alias file
aliasfiles=`ls fonts.alias.* 2> /dev/null | grep -v rpm`
if [ "x$aliasfiles" != "x" ]; then
	for i in $aliasfiles; do
		cat $i >> fonts.alias
	done
fi

/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
                         -e /usr/X11R6/lib/X11/fonts/encodings/large \
                         $RPM_BUILD_ROOT%{xfontdir}

## remove the entries without jisx
grep jisx $RPM_BUILD_ROOT%{xfontdir}/encodings.dir > $RPM_BUILD_ROOT%{xfontdir}/encodings.dir.new && mv $RPM_BUILD_ROOT%{xfontdir}/encodings.dir.new $RPM_BUILD_ROOT%{xfontdir}/encodings.dir

## create a dummy file
touch $RPM_BUILD_ROOT%{xfontdir}/fonts.scale

popd

pushd $RPM_BUILD_ROOT%{xfontdir_}
	ln -s TrueType/kochi-mincho.ttf default.font
	ln -s TrueType/kochi-gothic.ttf default-bold.font
popd

# doc
install -d doc
install -d doc/xtt-fonts-%{xttfontsver}
install -d doc/%{kochimin}
install -d doc/%{kochigoth}

pushd xtt-fonts-%{xttfontsver}
	cp -r *README* fonts.* debian/{changelog,copyright} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/xtt-fonts-%{xttfontsver}
popd
pushd kochi-mincho
	cp -r {AUTHORS,Changelog,README,README.RedHat,THANKS,TODO,docs,examples} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/%{kochimin}
popd
pushd kochi-gothic
	cp -r {AUTHORS,CHANGES,Changelog,README,README.RedHat,THANKS,TODO,docs,examples} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/%{kochigoth}
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/chkfontpath -q -a %{xfontdir}
if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
	/usr/bin/redhat-update-gnome-font-install
fi

%postun
if [ "$1" = "0" ];
then
	/usr/sbin/chkfontpath -q -r %{xfontdir}
	if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
		/usr/bin/redhat-update-gnome-font-install
	fi
fi

%files
%defattr(-,root,root)
%doc doc/*
%dir %{xfontdir_}
%dir %{xfontdir}
%config %{xfontdir}/fonts.alias
%config(noreplace) %{xfontdir_}/default*.font
%{xfontdir}/fonts.scale.xtt
%{xfontdir}/fonts.dir
%{xfontdir}/fonts.scale
%{xfontdir}/encodings.dir
%{xfontdir}/*ttf
%{xfontdir}/*tti

%changelog
* Wed Apr  3 2002 Akira TAGOH <tagoh@redhat.com> 1.2-8
- fonts.alias: don't specify noreplace.

* Wed Apr  3 2002 Akira TAGOH <tagoh@redhat.com> 1.2-7
- fonts.alias: fix spacing entries.
  Right now ttmkfdir generate fonts.dir with -c-.

* Tue Mar 26 2002 Akira TAGOH <tagoh@redhat.com> 1.2-6
- ship fonts.dir again. because chkfontpath can't add that font path...
- fonts.scale too. when a package will be removed, it will avoid a directory
  is not removed. but it's a dummy file.

* Thu Mar 15 2002 Akira TAGOH <tagoh@redhat.com> 1.2-5
- called redhat-update-gnome-font-install on %%post and %%postun

* Mon Feb 25 2002 Akira TAGOH <tagoh@redhat.com> 1.2-4
- Build against new environment.

* Tue Feb 12 2002 Akira TAGOH <tagoh@redhat.com> 1.2-3
- Removed fonts.{dir,scale}, because it's any longer needed.
- Fixed missing entries for fonts.alias

* Thu Jan 31 2002 Leon Ho <llch@redhat.com> 1.2-2
- fixes the temp file exploit

* Thu Jan 24 2002 Akira TAGOH <tagoh@redhat.com> 1.2-1
- update to 20020124 release.
- add jisx0201.1976-0 entry.
- add alias of -misc-kochi gothic/mincho- to fonts.alias.
- replace fonts.scale.xtt and encodings.dir
- remove the entries without jisx stuff from encodings.dir

* Thu Jan 10 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Dec 25 2001 Akira TAGOH <tagoh@redhat.com> 1.1-2
- update to 20011217 release.

* Thu Nov 15 2001 Akira TAGOH <tagoh@redhat.com> 1.1-1
- New upstream release.

* Thu Oct 11 2001 Preston Brown <pbrown@redhat.com> 1.0-7
- get rid of bad ISO8859-1 aliases and incorrect italic, bold mappings

* Wed Aug  8 2001 Akira TAGOH <tagoh@redhat.com> 1.0-6
- fixed default fonts.dir for non-xtt

* Mon Jul 23 2001 Akira TAGOH <tagoh@redhat.com> 1.0-5
- added default font for Nautilus.

* Tue Jul 17 2001 Akira TAGOH <tagoh@redhat.com> 1.0-4
- updated kochi fonts.
- fixed directory owner

* Mon Jul 09 2001 Karsten Hopp <karsten@redhat.de>
- fix japanese description (-l). But why is it in the
  .spec file at all ?

* Tue Jun 26 2001 Akira TAGOH <tagoh@redhat.com> 1.0-2
- don't use bzip2'ed compress when file size is small.
- changed family name.

* Wed Jun 13 2001 Akira TAGOH <tagoh@redhat.com> 1.0-1
- Initial build.

